## python-murmurhash 1.0.2

=== requirements.txt ===
cython>=0.23
pytest
mmh3 # Only for testing

## python-murmurhash 1.0.1

=== debian/changelog ===
python-murmurhash (1.0.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:55:45 +0800

python-murmurhash (1.0.1-2) unstable; urgency=medium

  * Drop myself from Uploaders.
  * Bump Standards-Version to 4.3.0 (no change).
  * Add autopkgtest control file.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 18 Jan 2019 07:51:52 +0000

python-murmurhash (1.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #900977)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Nov 2018 09:41:28 +0100

=== debian/control ===
Source: python-murmurhash
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-all-dev,
               python3-setuptools,
               python3-wheel,
               cython3
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-murmurhash
Vcs-Git: https://salsa.debian.org/python-team/modules/python-murmurhash.git
Homepage: https://github.com/explosion/murmurhash

Package: python3-murmurhash
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Cython bindings for MurmurHash2
 This package ships Cython bindings for MurmurHash2.

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import murmurhash; print(murmurhash)" ; done

=== debian/watch ===
version=4

https://github.com/explosion/murmurhash/releases .*/archive/v?(\d[.\d]+)@ARCHIVE_EXT@

## python-murmurhash 1.0.2

=== debian/changelog ===
python-murmurhash (1.0.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Håvard Flaget Aasen ]
  * Added patch, remove_python3-wheel_requirement.patch. closes: #945412
  * Bump dh to 12.
  * Add python3-pytest as b-d for upstream test.
  * Add python3-all as depend in d/test/control closes: #943455
  * Remove pybuild_disable_python2 in d/rules

  [ Andreas Tille ]
  * New upstream version
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Fix field name typos in debian/copyright.
  * Ignore test requiring not yet packaged mmh3

 -- Andreas Tille <tille@debian.org>  Wed, 18 Dec 2019 10:07:18 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-all-dev,
                python3-setuptools,
-               python3-wheel,
+               python3-pytest,
                cython3
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-murmurhash
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-murmurhash.git
 Homepage: https://github.com/explosion/murmurhash

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = murmurhash

%:
	dh $@ --with python3 --buildsystem=pybuild

# ignore test requiring not yet packaged mmh3
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	find .pybuild -name test_against_mmh3.py -delete
	dh_auto_test
endif

## python-murmurhash 1.0.6

=== debian/changelog ===
python-murmurhash (1.0.6-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:11:19 +0000

python-murmurhash (1.0.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Andreas Tille ]
  * Fix watch file
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 29 Jan 2022 08:01:02 +0100

=== debian/control ===
Source: python-murmurhash
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-all-dev,
               python3-setuptools,
               python3-pytest,
               cython3
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-murmurhash
Vcs-Git: https://salsa.debian.org/python-team/packages/python-murmurhash.git
Homepage: https://github.com/explosion/murmurhash
Rules-Requires-Root: no

Package: python3-murmurhash
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Cython bindings for MurmurHash2
 This package ships Cython bindings for MurmurHash2.

=== debian/watch ===
version=4

https://github.com/explosion/murmurhash/tags .*/v?(\d[.\d]+)@ARCHIVE_EXT@

## python-murmurhash 1.0.9%2Bdfsg

=== debian/changelog ===
python-murmurhash (1.0.9+dfsg-1build5) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:48:21 +0000

python-murmurhash (1.0.9+dfsg-1build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:14:01 +0000

python-murmurhash (1.0.9+dfsg-1build3) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:34:08 +0100

python-murmurhash (1.0.9+dfsg-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:56:31 +0000

python-murmurhash (1.0.9+dfsg-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:26:48 +0100

python-murmurhash (1.0.9+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Exclude */msvc9 right from upstream tarball
  * Build-Depends: pybuild-plugin-pyproject,
  * Add nocheck profile to python3-pytest

 -- Andreas Tille <tille@debian.org>  Tue, 07 Feb 2023 10:32:17 +0100

## python-murmurhash 1.0.9+dfsg

=== requirements.txt ===
cython>=0.23
pytest

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,5 @@
 
 # ignore test requiring not yet packaged mmh3
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	find .pybuild -name test_against_mmh3.py -delete
 	dh_auto_test
-endif

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import murmurhash; print(murmurhash)" ; done
Depends: @, python3-all

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/explosion/murmurhash/tags .*/v?(\d[.\d]+)@ARCHIVE_EXT@
